Package com.pixelmed.dicom

# Class SUVTransform.SingleSUVTransform

java.lang.Object
com.pixelmed.dicom.SUVTransform.SingleSUVTransform

Enclosing class:
  SUVTransform

public class SUVTransform.SingleSUVTransform extends Object

## Method Summary

Modifier and Type
Method
Description
`String`
`getSUVbsaUnits()`
`double`
`getSUVbsaValue(double storedValue)`
`String`
`getSUVbwUnits()`
`double`
`getSUVbwValue(double storedValue)`
`String`
`getSUVibwUnits()`
`double`
`getSUVibwValue(double storedValue)`
`String`
`getSUVlbmUnits()`
`double`
`getSUVlbmValue(double storedValue)`
`boolean`
`isValidSUVbsa()`
`boolean`
`isValidSUVbw()`
`boolean`
`isValidSUVibw()`
`boolean`
`isValidSUVlbm()`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### isValidSUVbw

public boolean isValidSUVbw()

### getSUVbwValue

public double getSUVbwValue(double storedValue)

### getSUVbwUnits

public String getSUVbwUnits()

### isValidSUVbsa

public boolean isValidSUVbsa()

### getSUVbsaValue

public double getSUVbsaValue(double storedValue)

### getSUVbsaUnits

public String getSUVbsaUnits()

### isValidSUVlbm

public boolean isValidSUVlbm()

### getSUVlbmValue

public double getSUVlbmValue(double storedValue)

### getSUVlbmUnits

public String getSUVlbmUnits()

### isValidSUVibw

public boolean isValidSUVibw()

### getSUVibwValue

public double getSUVibwValue(double storedValue)

### getSUVibwUnits

public String getSUVibwUnits()